###########################################################################
#
#   Copyright (c) 2001 Morten W. Petersen <morten@esol.no>
#	Copyright (c) 2001 Thingamy Ltd.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
#    MA 02111-1307 USA
#
#
###########################################################################

# $Author: morten $

__doc__ = 'Value checker and processor'
__version__ = '$Revision 1.0 $'

import DateTime
import utils

help = """The date selected is invalid.  Please try again."""

def build(year='', month='', day='', hour='', minute=''):

	current_date = DateTime.DateTime()

	year = year or str(current_date.year())
	month = str(month) or utils.pad_integer(current_date.month())
	day = day or utils.pad_integer(current_date.day())
	hour = hour or utils.pad_integer(hour)
	minute = minute or utils.pad_integer(current_date.minute())

	try:

		return DateTime.DateTime("%s/%s/%s %s:%s")

	except DateTime.DateTime.DateTime.SyntaxError, Datetime.DateTime.DateTime.DateTimeError:

		raise ValueError
